Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_tp_struct Struct Reference

## Data Fields
rb_event_flag_t | events
rb_thread_t * | target_th
void(* | func )(VALUE tpval, void *data)
void * | data
VALUE | proc
int | tracing
VALUE | self

## Detailed Description

Definition at line 599 of file vm_trace.c.

## Field Documentation

void* rb_tp_struct::data

Definition at line 603 of file vm_trace.c.

Referenced by tp_call_trace(), and tracepoint_new().

rb_event_flag_t rb_tp_struct::events

Definition at line 600 of file vm_trace.c.

Referenced by rb_tracepoint_enable(), and tracepoint_new().

void(* rb_tp_struct::func)(VALUE tpval, void *data)

Definition at line 602 of file vm_trace.c.

Referenced by tp_call_trace(), and tracepoint_new().

VALUE rb_tp_struct::proc

Definition at line 604 of file vm_trace.c.

Referenced by tp_call_trace(), tp_mark(), and tracepoint_new().

VALUE rb_tp_struct::self

Definition at line 606 of file vm_trace.c.

Referenced by tracepoint_new().

rb_thread_t* rb_tp_struct::target_th

Definition at line 601 of file vm_trace.c.

Referenced by rb_tracepoint_disable(), rb_tracepoint_enable(), and tp_mark().

int rb_tp_struct::tracing

Definition at line 605 of file vm_trace.c.

Referenced by rb_tracepoint_disable(), rb_tracepoint_enable(), rb_tracepoint_enabled_p(), tracepoint_disable_m(), tracepoint_enable_m(), and tracepoint_inspect().

The documentation for this struct was generated from the following file:

- vm_trace.c